//////////////////////////////////////////////////////////
//
//	MwlAghFactory
//
//////////////////////////////////////////////////////////

#ifndef __MwlAghFactory_H__
#define __MwlAghFactory_H__

#include "MwlAghCommon.h"

#ifdef __MWLAGH_USE_DLL
	class _MWLAGH_LIB_EXP agh::CImplFactoryBase;
#endif

//	クラス宣言
class _MWLAGH_LIB_EXP CMwlAghFactory : public agh::CImplFactoryBase
{
public:
	//	コンストラクタ・デストラクタ
	CMwlAghFactory(){}
	virtual ~CMwlAghFactory(){}

	void* Create(agh::CControlBase* pUser, agh::agh_control_id_t nControlId);
};

#endif//__MwlAghFactory_H__
